# m3e/timezone

# Types

## Direction

</>

Direction is the direction of a timezone’s offset from UTC

    pub type Direction {
      Plus
      Minus
    }

### Constructors

-     Plus

-     Minus

## TimeZone

opaque </>

TimeZone is a time zone

    pub opaque type TimeZone

# Values

## default

</>

    pub const default: TimeZone

## from_string

</>

    pub fn from_string(input: String) -> Result(TimeZone, String)

from_string parses a timezone string into a TimeZone value.

## new

</>

    pub fn new(
      direction: Direction,
      time: time.Time,
    ) -> Result(TimeZone, String)

new creates a TimeZone value from a direction string and a Time value.

## to_string

</>

    pub fn to_string(tz: TimeZone) -> String

to_string converts a TimeZone value to a string representation.

## zulu

</>

    pub fn zulu() -> TimeZone

zulu returns the Zulu timezone (UTC).

✨